API Reference
Create Attendee
Add a new attendee to your organization.
POST
/api/v1/attendeesProgrammatically add a new attendee to the system. Phone numbers are automatically normalized, and duplicate checking is enforced on both `phone` and `external_id` (e.g., student IDs) to maintain database integrity.
Authorization
Bearer Token Required
Include your API key in the
Authorization header as Bearer attg_live_…Headers
| Parameter | Type | Required | Description |
|---|---|---|---|
Authorization | string | required | Bearer token. Format: `Bearer attg_live_…` |
Body Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
first_name | string | required | Attendee's first name |
last_name | string | required | Attendee's last name |
phone | string | optional | Attendee's phone number |
external_id | string | optional | Custom ID (e.g. Student ID) |
Rate Limits
120 requests per 60s window per IP address.
Responses
Responses
Attendee created successfully.
{
"ok": true,
"data": {
"id": "uuid",
"first_name": "Ahmed"
}
}